if select(2, UnitClass('player')) ~= 'HUNTER' then return end -- Bail if we aren't a hunter

-- Hide in combat
local f = CreateFrame('Frame', nil, PetActionBarFrame)
f:SetScript('OnEvent', function(self, event, ...)
	if event == 'PLAYER_REGEN_ENABLED' then
		--self:SetShown(event == 'PLAYER_REGEN_ENABLED')
		self:Show()
	elseif event == 'PLAYER_REGEN_DISABLED' then
		self:Hide()
	elseif event == 'PLAYER_LOGIN' then
		-- Make some buttons
		local prevButton
		for i = GetNumSpecializations(false, true), 1, -1 do
			local button = CreateFrame('CheckButton', nil, f, 'PetStanceButtonTemplate')
			button:SetID(i)
			if prevButton then
				button:SetPoint('BOTTOMRIGHT', prevButton, 'BOTTOMLEFT', -4, 0)
			else
				button:SetPoint('BOTTOMRIGHT', PetActionButton10, 'TOPRIGHT', -12, 8)
				f:SetPoint('BOTTOMRIGHT', button, 6, -6)
			end
			prevButton = button
			
			local _, name, description, icon, bg, role = GetSpecializationInfo(i, false, true)
			button.icon:SetTexture(icon)
			
			if i == 1 then
				f:SetPoint('TOPLEFT', button, -6, 6)
			end
		end
	end
end)
f:RegisterEvent('PLAYER_REGEN_ENABLED')
f:RegisterEvent('PLAYER_REGEN_DISABLED')
f:RegisterEvent('PLAYER_LOGIN')

f:SetBackdrop({
	bgFile = 'Interface/Tooltips/UI-Tooltip-Background',
	edgeFile = 'Interface/Tooltips/UI-Tooltip-Border', edgeSize = 16,
	insets = {left = 4, right = 4, top = 4, bottom = 4}
})
f:SetBackdropColor(0.2, 0.2, 0.2)
f:SetBackdropBorderColor(0.2, 0.2, 0.2)

-- Suppress chat messages from learning and unlearning abilities
local ChatSpam = {
	'^' .. ERR_PET_LEARN_ABILITY_S:gsub('%%s', '.-') .. '$',
	'^' .. ERR_PET_LEARN_SPELL_S:gsub('%%s', '.-') .. '$',
	'^' .. ERR_PET_SPELL_UNLEARNED_S:gsub('%%s', '.-') .. '$',
}

local function ChatFilter(self, event, msg, ...)
	for _, spam in ipairs(ChatSpam) do
		if strmatch(msg, spam) then return true end
	end
end

ChatFrame_AddMessageEventFilter('CHAT_MSG_SYSTEM', ChatFilter)